ru.bitel.oss.systems.inventory.product.server.bean

## Class ProductSpecActivationModeDao

- java.lang.Object
- - ru.bitel.oss.systems.inventory.product.server.bean.ProductSpecActivationModeDao

-     public class ProductSpecActivationModeDao
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductSpecActivationModeDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ProductSpecActivationMode` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<ProductSpecActivationMode>` | `list(int productSpecId, java.util.Date date)`
    `void` | `update(int productSpecId, java.util.List<ProductSpecActivationMode> activationModeList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProductSpecActivationModeDao

          public ProductSpecActivationModeDao(java.sql.Connection con,
                                              int moduleId)

  - ### Method Detail

    - #### getFromRS

          protected ProductSpecActivationMode getFromRS(java.sql.ResultSet rs)
                                                 throws java.sql.SQLException,
                                                        ru.bitel.bgbilling.common.BGException

      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(int productSpecId,
                             java.util.List<ProductSpecActivationMode> activationModeList)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<ProductSpecActivationMode> list(int productSpecId,
                                                                java.util.Date date)
                                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`